//
// C++ Interface: WeightPredTest
//
// Description: Class for loading Weightd Prediction parameters.
//
//
// Authors:  <Bordes Philippe>, (C) 2011
//           Technicholor Inc.
//
//               10/3/2011
//
// Copyright: All rights reserved Technicholor Corp. Res.
//
#ifndef __WEIGHTPREDTEST__
#define __WEIGHTPREDTEST__

#include "../TLibCommon/TypeDef.h"
#include "../TLibCommon/TComSlice.h"
#include "WeightPredTest.h"

#ifdef WEIGHT_PRED

#define	WP_DATA_FILE	"weighedPrediction.txt"
#define	WP_DATA_SIZE	150       // Max number of consecutive frames using WP for the test

class  WeightPredTest {
  static  Char            *m_pchWpScalingFile;
	static	Int							m_pocStart, m_pocEnd;	// Starting and Ending times (POC) for the WP test
	static  Bool            m_bDataLoaded;

	static	Bool  readWeightPredFile(wpScalingParam weightPredTable[WP_DATA_SIZE][2][MAX_NUM_REF][3]);
  static  Void  resetPredTable(wpScalingParam m_weightPredTable[WP_DATA_SIZE][2][MAX_NUM_REF][3]);

public:
  static  Void  writeRefPicList(TComSlice *slice);
	static	Bool  loadWeightPredTable(TComSlice *slice, int poc);
  static  Void  setWpScalingFile( char *pch )  { m_pchWpScalingFile = pch; }
};

#endif	// WEIGHT_PRED

#endif	// __WEIGHTPREDTEST__


